summaryrefslogtreecommitdiff
path: root/ci/startcompose.sh
diff options
context:
space:
mode:
authorjwijenbergh <jeroenwijenbergh@protonmail.com>2022-03-25 12:23:28 +0100
committerjwijenbergh <jeroenwijenbergh@protonmail.com>2022-03-25 12:23:28 +0100
commit955b320565faa072f284cf4156020ce5811979ad (patch)
tree38801080fb2457d189647bcae3f62bee0964e0ca /ci/startcompose.sh
parent192280cb3940eac9ea4a4ad7982c1e58f0138a42 (diff)
Set portal username and pass with env vars
Diffstat (limited to 'ci/startcompose.sh')
-rwxr-xr-xci/startcompose.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/ci/startcompose.sh b/ci/startcompose.sh
new file mode 100755
index 0000000..90f360c
--- /dev/null
+++ b/ci/startcompose.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+if [[ -z "${PORTAL_USER}" ]]; then
+ printf "Error: No portal username set, set the PORTAL_USER env var\n"
+ exit 1
+fi
+
+if [[ -z "${PORTAL_PASS}" ]]; then
+ printf "Error: No portal username set, set the PORTAL_PASS env var\n"
+ exit 1
+fi
+
+SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+
+docker-compose --file ci/docker/docker-compose.yml --project-directory $SCRIPT_DIR/.. up --abort-on-container-exit